
TypoScript Reference (TSref) - Bug # 19486

Status: Closed Priority: Should have
Author: Nils Hodyas Category:
Created: 2008-10-21 Assigned To: Francois Suter
Updated: 2011-05-21 Due date:
Subject: TSref: page.includeJS seems to work only for files on current server, not documented
Description

It seems to be impossible to include external files via

page.includeJS.file1 = ...

neither with nor without "http://" attached.

which is ok, but it could be documented in TSref. Thank You.

I tried to include jQuery hosted by Google.

Workaround for those interested:
page {
    headerData.681 = HTML
    headerData.681.value = <script src="http://ajax.googleapis.com/ajax/libs/jquery/1.2.6/jquery.min.js" type="text/javascript"></script>
}
(issue imported from #M9609)

Related issues:
related to Core - Feature # 19399: Add the ability of including external file... Closed 2008-10-01

History
#1 - 2008-10-21 16:43 - Nils Hodyas

there's a bug (#19399) filed elsewhere requesting inclusion of external files. So this here might be closed.

#2 - 2009-05-15 22:27 - Francois Suter

Bug #19399 seems on its way to be rejected so I updated the TSref anyway in trunk (4.3) version.

#3 - 2009-12-18 11:53 - Francois Suter

This is actually possible in TYPO3 4.3.

Check updated doc_core_tsref version 4.3.0

#4 - 2011-05-06 13:02 - Chris topher
- Project changed from Core to TypoScript Reference (TSref)
- Category deleted (Documentation)
- Target version deleted (0)
#5 - 2011-05-21 01:33 - Chris topher
- Target version set to 4.3.0
- % Done changed from 0 to 100
